Subject: Re: CD-based distribution (was Another website....)
From: [email-masked] (Earnie Boyd)

22 Aug 1998 15:45:59 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: gw32 <[email-masked]>
Cc: [email-masked], Marcus Brown <[email-masked]>

Ok. Here's my 2 cents worth.  Leave the help as .info files and use
tkInfo for the info engine.  For user optionability dynamic HTML could
be provided for a browser.

I've converted .info to .hlp and suggest that it not be done. 
Although it works fine and is nice to have a native feel for all help,
the amount of disk space used makes it not a viable solution.  Also,
if the documentation changes then you've got to rebuild the .hlp file.
 If it is decided to provide the .hlp files I suggest making it an
option based on which package was obtained; i.e.: have one package
with info/man and have a different package with .hlp.

For man pages, there is groff and somewhere in the archives is a
script using groff and less for a man page reader.  Or better would be
to use polyglotman (rman) to produce dynamic HTML and use a browser.

---"Bartlee A. Anderson" <[email-masked]> wrote:
>
> Aren't there already windows .hlp files for a lot of this stuff?
> I think that would be the most native/easiest to use.
> I don't want to bring up a browser with overhead to do a man request.

I don't have any definitive data on this; but, from appearances the
windows help program has more overhead than any browser.

> 
> Jeff Sturm wrote:
> > 
> > HTML help files are a good idea provided the user has a decent
browser
> > installed (probably nearly all desktops these days).  Plenty of
tools
> > exist to convert man and tekinfo files to HTML (I assume).
> > 
> > One problem using static files for help is the lack of a search
> > facility.  I've heard Microsoft has done something for Win98, but
that
> > won't help us since the GNU-win32 distribution is targetting
Win95/NT
> > too.  Maybe someone can build a help engine based on Apache
though...
> > 
> > Marcus Brown wrote:
> > >
> > > An Idea,
> > > How about using HTML Help as opposed to .info/man files?  This
is an
> > > up'n'coming help system that seems to be gaining a lot of
ground, just a
> > > suggestion...
> > >
> > > Jeff Sturm wrote:
> > > >The 'man' command should be included.  What about HTML, or (ick)
> > > Windows
> > > >.hlp files?
> > >
> > > >Jeff Sturm
> > > >[email-masked]
> > 
> > --
> > Jeff Sturm
> > [email-masked]
> > -
> > For help on using this list (especially unsubscribing), send a
message to
> > "[email-masked]" with one line of text: "help".
> 
> -- 
> Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
> Rockwell International                    Electronic Commerce Division
> 300 Bauman Ct.                                [email-masked]
> MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
> Wood Dale, IL 60191                               FAX   (630) 227-9771
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".